Package org.eclipse.osgi.container

# Enum Class Module.StopOptions

java.lang.Object
java.lang.Enum<Module.StopOptions>
org.eclipse.osgi.container.Module.StopOptions

All Implemented Interfaces:
  `Serializable`, `Comparable<Module.StopOptions>`, `Constable`

Enclosing class:
  Module

public static enum Module.StopOptions extends Enum<Module.StopOptions>
The possible start options for a module

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`TRANSIENT`
The module stop operation is transient and the persistent autostart setting of the module is not modified.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isContained(Module.StopOptions... options)`
Tests if this option is contained in the specified options
`static Module.StopOptions`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Module.StopOptions[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TRANSIENT

public static final Module.StopOptions TRANSIENT
The module stop operation is transient and the persistent autostart setting of the module is not modified.

## Method Details

### values

public static Module.StopOptions[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Module.StopOptions valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isContained

public boolean isContained(Module.StopOptions... options)
Tests if this option is contained in the specified options